/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.helpers;

import java.awt.Dimension;
import java.util.Date;
import java.util.Map;
import com.silverwrist.venice.ui.ColorSelectors;
import com.silverwrist.venice.ui.LinkTypes;

public interface HTMLRendering extends ColorSelectors, LinkTypes
{
  public abstract String getColor(int selector);

  public abstract String getColor(String name);

  public abstract boolean useHTMLComments();

  public abstract String formatURL(String url, int type);

  public abstract String formatDate(Date date);

  public abstract String getFontTag(int colorsel, int size);

  public abstract String getFontTag(String color, int size);

  public abstract String getFontTag(int colorsel, String size);

  public abstract String getFontTag(String color, String size);

  public abstract int convertLinkType(String str);

  public abstract String getStockMessage(String key);

  public abstract String getStockMessage(String key, Map vars);

  public abstract String getStaticPath(String s);

  public abstract String getExternalStaticPath(String s);

  public abstract String getImagePath(String s);

  public abstract String getButtonVisual(String id);

  public abstract String getButtonInput(String id);

  public abstract String getUserPhotoTag(String url);

  public abstract String getUserPhotoTag(String url, Dimension size);

  public abstract String getActivityString(Date date);

  public abstract String getCommunityLogoTag(String url);

  public abstract String expandServletPath(String spath);

} // end interface HTMLRendering
